Real-Time Measurement and Control

cancel
Showing results for 
Search instead for 
Did you mean: 

Using sbRIO9626 with LabVIEW 2020

Solved!
Go to solution
Highlighted

I am new to FPGA, and would like to use sbRIO 9626 with LabVIEW 2020. The issue is the MAX can find the device, but showing "connected-safe mode (No software installed)" . 

 

I have installed FPGA and RT modules, as well as ISE 14.7. Please let me know how to get out of the safe mode? 

 

Thanks. 

0 Kudos
Message 1 of 5
(380 Views)
Highlighted
Solution
Accepted by topic author Tom2372

I guess you haven't finished following step.

 

Install NI Software on Your CompactRIO Controller

http://www.ni.com/getting-started/set-up-hardware/compactrio/controller-software

Emboar
Certified LabVIEW Developer
There are only two ways to tell somebody thanks: Kudos and Marked Solutions

GCentral
0 Kudos
Message 2 of 5
(365 Views)
Highlighted

Thank you very much for your reply. Here is the issue I met when trying to install the software. Seem the sbRIO I am using should run with Vxworks, but I am not sure whether it has been installed. Additionally, the Real-Time is not installed in the target, but I could not find it on the list either. 

 

Really appreciate the help. 

 

Tom2372_0-1592189995630.png

Tom2372_1-1592190186752.png

 

 

0 Kudos
Message 3 of 5
(351 Views)
Highlighted
Solution
Accepted by topic author Tom2372

LabVIEW 2020 is only compatible with CompactRIO 20.0 or above drivers, but CompactRIO 20.0 driver dropped support for sbRIO-9626 along with other older variants. You will need to use LabVIEW 2019 SP1 or below to use sbRIO-9626. 

Message 4 of 5
(319 Views)
Highlighted

Thanks for the help! Problem solved by using 2019 sp1 with NI-RIO 19.1. This is the last version supporting sbRIO9626. 

0 Kudos
Message 5 of 5
(302 Views)